Loading...
Searching...
No Matches
future.hpp File Reference
`#include <future>`
`#include <memory>`

Go to the source code of this file.

## Data Structures

class | apache::subversion::svnxx::detail::future_::shared_future_base
class | apache::subversion::svnxx::detail::future_::shared_future< T >
| like std::shared_future, but also maintains internal state relevant to the asynchronous SVN++ operation. More...
class | apache::subversion::svnxx::detail::future_::future_base
class | apache::subversion::svnxx::detail::future_::future< T >
| like std::future, but also maintains internal state relevant to the asynchronous SVN++ operation. More...

## Typedefs

using | apache::subversion::svnxx::detail::future_::shared_ptr = std::shared_ptr<result>
using | apache::subversion::svnxx::detail::future_::unique_ptr = std::unique_ptr<result>
template<typename T>
using | apache::subversion::svnxx::detail::future = future_::future<T>
template<typename T>
using | apache::subversion::svnxx::detail::shared_future = future_::shared_future<T>

## Detailed Description

# autotoc_md196

Definition in file future.hpp.

## Typedef Documentation

## future

template<typename T>

using apache::subversion::svnxx::detail::future = future_::future<T>

Definition at line 167 of file future.hpp.

## shared_future

template<typename T>

using apache::subversion::svnxx::detail::shared_future = future_::shared_future<T>

Definition at line 168 of file future.hpp.

## shared_ptr

using apache::subversion::svnxx::detail::future_::shared_ptr = std::shared_ptr<result>

Definition at line 39 of file future.hpp.

## unique_ptr

using apache::subversion::svnxx::detail::future_::unique_ptr = std::unique_ptr<result>

Definition at line 40 of file future.hpp.